<div class="d-flex justify-content-end">
  <a class="navegacion" routerLink="./registro">Nuevo voto</a>
</div>
<div class="busqueda">
  <div class="head-busqueda">
    <p>Parámetros de búsqueda</p>
  </div>
  <form (ngSubmit)="construyeFiltro()">
  <div class="form-row p-3">
    <div class="col-4">
      <label for="">Tipo de asunto:</label>
      <p-dropdown [options]="tipoAsuntoArray" name="asunto" optionLabel="nombre" optionValue="nombre" placeholder="Seleccione el tipo de asunto"
        [(ngModel)]="busqueda.tipoAsunto" filterBy="nombre" [filter]="true" [showClear]="true" [styleClass]="requerid.tipoAsunto ? 'invalid w-100' : 'w-100'"></p-dropdown>
    </div>
    <div class="col-4 relative">
      <label for="">Número de expediente:</label>
      <input type="text" class="form-control" name="exp" placeholder="Ingrese el número de expediente" [ngClass]="{'invalid': requerid.numExpediente }"
        [(ngModel)]="busqueda.numExpediente">
        <i *ngIf="busqueda.numExpediente" class="pi pi-times clear-autocomplete" (click)="busqueda.numExpediente = ''"></i>
    </div>
    <div class="col-4">
      <label for="">Tipo de voto:</label>
      <p-dropdown [options]="tipoVotoArray" name="voto" optionLabel="nombre" [filter]="true" filterBy="nombre" optionValue="nombre" styleClass="w-100"
        placeholder="Seleccione el tipo de voto" [(ngModel)]="busqueda.tipoVoto" [showClear]="true"
        [styleClass]="requerid.tipoVoto ? 'invalid w-100' : 'w-100'"></p-dropdown>
    </div>
    <div class="col-12">
      <div class="d-flex justify-content-end align-items-center">
        <div class="mr-auto d-flex align-items-center" *ngIf="viewSearch">
          <p class="mb-0">Se encontraron {{ votoAllMod.totalElements }} resultado(s)</p>
          <button style="transform: scale(.8);" class="btn btn-success ml-1 d-flex" type="button" (click)="restauraTabla()">
            <i class="material-icons" pTooltip="Da clic para eliminar los filtros" tooltipPosition="left">restart_alt</i>
          </button>
        </div>
        <div class="mr-auto d-flex align-items-center" *ngIf="!viewSearch">
          <p class="mb-0">
            <span *ngIf="votoAllMod.content.length == 0">0 resultado(s)</span>
            <span *ngIf="votoAllMod.content.length > 0">{{ (votoAllMod.number*votoAllMod.size)+1}} a {{calculateSizePage()}} de {{votoAllMod.totalElements}} resultado(s)</span>
          </p>
        </div>
        <p-button label="Buscar" icon="pi pi-search" type="submit" styleClass="p-button-sm"></p-button>
      </div>
    </div>
  </div>
</form>
</div>
<div class="d-flex justify-content-end align-items-center pb-3">
  <div class="p-1">

  </div>
  <div class="d-flex justify-content-center align-items-center">
    <span class="mr-2">Mostrar: </span>
    <p-dropdown [options]="[{size:10},{size:20},{size:30},{size:50},{size:100}]" optionLabel="size" optionValue="size" [(ngModel)]="votoAllMod.size"
      (onChange)="onChangeSize($event)"></p-dropdown>
  </div>

</div>
<p-table [value]="votos" [scrollable]="true" scrollHeight="400px" scrollDirection="both">
  <ng-template pTemplate="header">
    <tr>
      <th style="width:200px">Tipo de asunto</th>
      <th style="width:130px">Número de expediente</th>
      <th style="width:200px">Tipo de voto</th>
      <th style="width:200px">Ministros(as)</th>
      <th style="width:200px">Tema sustantivo</th>
      <th style="width:200px">Tema procesal</th>
      <th style="width:200px">Registro</th>
      <th style="width:150px"></th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-votos>
    <tr>
      <td style="width:200px">
        <p class="short-text text-center" [title]="votos.tipoAsunto">{{votos.tipoAsunto}}</p>
      </td>
      <td style="width:130px" class="text-center">{{votos.numExpediente}}</td>
      <td style="width:200px;" class="text-center short-text">{{votos.tipoVoto?votos.tipoVoto:"----"}}</td>
      <td style="width:200px" class="text-center">
        <div>
          <p *ngFor="let min of votos.ministro" class="short-text">
            {{min}}
          </p>
        </div>
      </td>
      <td style="width:200px" class="text-center short-text">{{votos.temaSustantivoSobreElVoto?votos.temaSustantivoSobreElVoto:"----"}}</td>
      <td style="width:200px" class="text-center short-text">{{votos.temaProcesalSobreElVoto?votos.temaProcesalSobreElVoto:"----"}}</td>
      <td style="width:200px" class="text-center px-5">
        <div>
          {{ votos.porcentaje }}%
        </div>
        <div class="percent" [style.width]="votos.porcentaje+'%'" [ngClass]="{
          'incomplet': votos.porcentaje >= 51 && votos.porcentaje <= 79,
          'complet': votos.porcentaje >= 80 && votos.porcentaje <= 100,
          'insuficient': votos.porcentaje >= 0 && votos.porcentaje <= 50
        }"></div>
      </td>
      <td style="width:150px">
        <div class="d-flex align-items-center justify-content-center" style="gap: 10px">
          <i class="pi pi-trash c-del" (click)="confirm($event,votos)" pTooltip="Da clic para eliminar el registro capturado"
            tooltipPosition="left"></i>
          <a [routerLink]="['edicion',votos.id]"><i class="pi pi-pencil"
              pTooltip="Da clic para editar la información del registro capturado" tooltipPosition="left"></i>
          </a>
          <a [routerLink]="['edicion',votos.id]" [queryParams]="{ visualizar: true }"><i class="pi pi-eye"></i></a>
        </div>
      </td>
    </tr>
  </ng-template>
</p-table>
<div class="d-flex justify-content-center align-items-center">
  <ngb-pagination [collectionSize]="totalVotos" [page]="votoAllMod.number + 1" [pageSize]="votoAllMod.size" [boundaryLinks]="true"
    (pageChange)="realizaBusqueda($event,votoAllMod.size,filtrado)"></ngb-pagination>
</div>
<p-confirmPopup></p-confirmPopup>
<p-toast position="bottom-right" key="ks"></p-toast>
